Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions
dir.h File Reference

Go to the source code of this file.

## Data Structures
struct | direct
struct | DIR

## Macros
#define | DT_UNKNOWN 0
#define | DT_DIR (S_IFDIR>>12)
#define | DT_REG (S_IFREG>>12)
#define | DT_LNK 10
#define | opendir(s) rb_w32_opendir((s))
#define | readdir(d) rb_w32_readdir((d), 0)
#define | telldir(d) rb_w32_telldir((d))
#define | seekdir(d, l) rb_w32_seekdir((d), (l))
#define | rewinddir(d) rb_w32_rewinddir((d))
#define | closedir(d) rb_w32_closedir((d))

## Functions
DIR * | rb_w32_opendir (const char *)
DIR * | rb_w32_uopendir (const char *)
struct direct * | rb_w32_readdir (DIR *, rb_encoding *)
long | rb_w32_telldir (DIR *)
void | rb_w32_seekdir (DIR *, long)
void | rb_w32_rewinddir (DIR *)
void | rb_w32_closedir (DIR *)
char * | rb_w32_ugetcwd (char *, int)

## Macro Definition Documentation

## ◆ closedir

#define closedir | ( |  | d | ) | rb_w32_closedir((d))

Definition at line 43 of file dir.h.

## ◆ DT_DIR

#define DT_DIR (S_IFDIR>>12)

Definition at line 5 of file dir.h.

## ◆ DT_LNK

#define DT_LNK 10

Definition at line 7 of file dir.h.

## ◆ DT_REG

#define DT_REG (S_IFREG>>12)

Definition at line 6 of file dir.h.

## ◆ DT_UNKNOWN

#define DT_UNKNOWN 0

Definition at line 4 of file dir.h.

## ◆ opendir

#define opendir | ( |  | s | ) | rb_w32_opendir((s))

Definition at line 38 of file dir.h.

## ◆ readdir

#define readdir | ( |  | d | ) | rb_w32_readdir((d), 0)

Definition at line 39 of file dir.h.

## ◆ rewinddir

#define rewinddir | ( |  | d | ) | rb_w32_rewinddir((d))

Definition at line 42 of file dir.h.

## ◆ seekdir

#define seekdir | ( |  | d,
|  |  | l
| ) |  | rb_w32_seekdir((d), (l))

Definition at line 41 of file dir.h.

## ◆ telldir

#define telldir | ( |  | d | ) | rb_w32_telldir((d))

Definition at line 40 of file dir.h.

## Function Documentation

## ◆ rb_w32_closedir()

void rb_w32_closedir | ( | DIR * |  | ) |

Definition at line 2396 of file win32.c.

References DIR::bits, direct::d_altname, direct::d_name, DIR::dirstr, free, and DIR::start.

## ◆ rb_w32_opendir()

DIR* rb_w32_opendir | ( | const char * |  | ) |

Definition at line 2166 of file win32.c.

References filecp_to_wstr, and NULL.

## ◆ rb_w32_readdir()

struct direct* rb_w32_readdir | ( | DIR * | ,
|  | rb_encoding * |
| ) |  |

Definition at line 2337 of file win32.c.

References ENCINDEX_ASCII, filecp, and rb_enc_to_index().

## ◆ rb_w32_rewinddir()

void rb_w32_rewinddir | ( | DIR * |  | ) |

Definition at line 2384 of file win32.c.

References DIR::curr, DIR::loc, and DIR::start.

Referenced by rb_w32_seekdir().

## ◆ rb_w32_seekdir()

void rb_w32_seekdir | ( | DIR * | ,
|  | long |
| ) |  |

Definition at line 2369 of file win32.c.

References DIR::curr, DIR::loc, and rb_w32_rewinddir().

## ◆ rb_w32_telldir()

long rb_w32_telldir | ( | DIR * |  | ) |

Definition at line 2358 of file win32.c.

References DIR::loc.

## ◆ rb_w32_ugetcwd()

char* rb_w32_ugetcwd | ( | char * | ,
|  | int |
| ) |  |

Definition at line 4738 of file win32.c.

## ◆ rb_w32_uopendir()

DIR* rb_w32_uopendir | ( | const char * |  | ) |

Definition at line 2179 of file win32.c.

References NULL, and utf8_to_wstr.